<template>
	<v-sheet class="d-flex justify-space-around align-center pt-16">
		<div>
			<v-img :width="577" src="@/assets/img/key-form.png" />
		</div>

		<v-sheet width="384" color="#fff" class="my-16">
			<v-card-title class="text-lg-h4 px-0"> Forgot Password? </v-card-title>

			<v-card-text class="px-0">
				Do not worry! Just enter your E-mail
			</v-card-text>

			<form @submit.prevent="setSubmit" class="mt-4">
				<div class="mt-4 mb-2" :class="{ error: v$.email.$errors.length }">
					<label>Email address</label>
					<span> *</span>

					<v-text-field
						base-color="#293148"
						color="#E4E4E4"
						class="mt-2"
						rounded="lg"
						persistent-hint
						hide-details="auto"
						variant="outlined"
						@blur="v$.email.$touch"
						v-model="email"
					/>

					<div
						class="mt-0 pt-0"
						v-for="error of v$.email.$errors"
						:key="error.$uid"
					>
						<small class="error-msg text-red pt-0 mt-0">{{
							error.$message
						}}</small>
					</div>
				</div>

				<v-btn class="mt-4" color="#D90E32" height="48" block type="submit">
					restore password
				</v-btn>

				<div class="d-flex align-center mt-6 justify-center">
					<p>I remembered the password!</p>
					<v-btn @click="togglePage" class="px-2 text-red ml-2" flat>
						sign in
					</v-btn>
				</div>
			</form>
		</v-sheet>
	</v-sheet>
</template>

<script>
import { useVuelidate } from '@vuelidate/core'
import { required, email } from '@vuelidate/validators'

export default {
	name: 'SignIn',
	setup() {
		return { v$: useVuelidate() }
	},
	props: {
		isActive: {
			type: Boolean,
			default: false,
		},
		adminDetails: {
			type: Object,
			default: () => {},
		},
	},
	data() {
		return {
			email: this.adminDetails.email,
		}
	},
	validations() {
		return {
			email: { email, required },
		}
	},

	methods: {
		onSubmit() {
			if (this.v$.$invalid) {
				this.v$.$touch()
				return
			}

			if (this.logIn.email !== this.adminDetails.email) {
				return
			}
		},
		togglePage() {
			this.$emit('toggleFogotPass', this.isActive)
		},
	},
}
</script>
